#version 410
#define PI 3.14159265359

uniform sampler2D tex;
uniform float time;
in vec2 texCoord;
out vec4 fragColor;

void main()
{
	vec2 uv = texCoord;

	vec3 col=vec3(1.0,1.0,1.0);

	if(uv.y>=sin(floor(uv.x*20.0)+time*3.4)*0.5+0.5) {
			col=vec3(0.0);
	}
    
	fragColor = vec4(col,1.0);
}
