#version 410

out vec4 fragColor;
in vec2 texCoord;
uniform float time;

void main()
{
	vec2 uv = texCoord;
    uv*=50.0;
    vec2 ss=uv*2.34;
    ss.x+=time*15.0;
    uv.x+=sin(uv.y)+time;
    uv.y+=sin(uv.x)+time;
    
    bool r,g,b;
    r=g=b=false;
    
    float threshold=sin(time)*0.3+0.5;
    
    if(sin(uv.y)*0.5+0.5>=threshold) r=true;
    if(cos(uv.x)*0.5+0.5>=threshold) b=true;
    if(sin(ss.x-ss.y*0.75+time)>=threshold) g=true;
    
    //http://www.colourlovers.com/palette/116120/Yes_sir_right_away.
    vec3 col=vec3(241,240,233);
    
    float translucency=0.85;
    if(g) col=mix(vec3(179,171,142),col,translucency);
    if(b) col=mix(vec3(53,53,53),col,translucency);
    if(r) col=mix(vec3(134,36,36),col,translucency);
    
	fragColor = vec4(col/255.0,1.0);
}
