#version 410
#define PI 3.14159265359

uniform sampler2D tex;
uniform float time;
in vec2 texCoord;
out vec4 fragColor;

void main()
{
	vec2 uv = texCoord;
	uv.x+=sin(uv.y*time*0.25+time)*0.0125;
    
	fragColor = vec4(texture2D(tex,uv));
}
