#version 410
#define PI 3.14159265359

uniform sampler2D tex;
uniform float time;
in vec2 texCoord;
out vec4 fragColor;

void main()
{
	vec2 ss = texCoord;
	vec2 uv;
	ss=ss*2.0-1.0;

	float z=sqrt(pow(ss.x,2.0)+pow(ss.y,2.0));
	uv.y=z*sin(time*0.5)*0.5+0.6+sin(time*0.3*(z+time*0.1))*0.0125;
	uv.x=atan(ss.y,ss.x)/(PI*2.0)+time*0.1+sin(uv.y*time*0.21+time)*0.125;
    
	fragColor = vec4(texture2D(tex,uv));
}
