#version 410

#define PI 3.14159265359

uniform sampler2D tex;
uniform float time;
in vec2 texCoord;
out vec4 fragColor;

void main() {
	vec2 uv = texCoord;
	uv*=2.0;
	uv-=1.0;
	
	//http://www.colourlovers.com/palette/224725/Business_Proposal
	vec3 col=vec3(93,11,48);
	float t=time*2.0;
	
	float s=sqrt(pow(uv.x,2.0)+pow(uv.y,2.0));
	float hyppy=0.5;
	float freq=10.0;
	bool i=false;
	if(sin(pow(s,-0.7)*8.0+t)>0.5) {
			col=vec3(146,164,152);
			if(sin(pow(s,-0.7)*8.0+t)>0.95)
				i=true;
	}
	if(!i&&sin(pow(s,-1.3)+freq*atan(uv.y,uv.x))>=hyppy) col=vec3(115,92,92);
	col*=min(1.0,pow(s,0.8));
	fragColor = vec4(col/255.0,1.0);
}
